"use strict";

// Ravienne's diary.  read-only.
var GO_RaviDiary = function(){
	this.sprite = new Sprite(GO_RaviDiary.spriteSheet,"RaviDiary");
	this.sprite.collision_flags = 
		DEFINE_SPRITE_COLLISION_FLAGS.SPRITES_PASSIVE;
	this.sprite.setBoundingBox(0,0,15,15);
	this.sprite.game_object = this; // no longer a generic GO

	this.name = "RaviDiary";

	this._makeCheckable("Ravi_Diary");
};
GO_RaviDiary.spriteImg = SDS_Load_Image("art/sheets/sprite/ravi_diary.png");
GO_RaviDiary.spriteSheet = new TileSheet(4, 4, 1, 0, GO_RaviDiary.spriteImg);

GO_RaviDiary.prototype = new GameObject(
	new Sprite(
		GO_RaviDiary.spriteSheet,
		"RaviDiary"
	),
	"RaviDiary"
	);

	GO_RaviDiary.prototype.interactions = DEFINE_GAMEOBJECT_INTERACTIONS.CHECK;

	GO_RaviDiary.prototype.checkEvent = function(sourceGO){
		this.sprite.frame = 1;
		return "Ravi_Diary";
	};

	GO_RaviDiary.prototype.Update = function(){

	};